
package com.th.demo.mapping.ware;

import com.th.demo.model.ware.SplitRecord;
import com.th.demo.model.ware.TotalRecord;

import java.util.Date;
import java.util.List;

public interface SplitRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(SplitRecord record);

    int insertSelective(SplitRecord record);

    SplitRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SplitRecord record);

    int updateByPrimaryKey(SplitRecord record);

    List<SplitRecord> select(String wareName, String stackName, String model, String materialName, String standard, String customerName,
                             String plateNo, Date fromDate, Date toDate, String userId, String belongId);

    List<TotalRecord> selectTotal(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);
}